<?xml version="1.0" encoding="ISO-8859-1"?>

<!--
	Knightstour
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="../generic/template.xsl"/>
	<xsl:import href="../generic/chess_board.xsl"/>

	<xsl:template name="print_state">
		<xsl:call-template name="print_chess_state">
			<xsl:with-param name="Width">6</xsl:with-param>
			<xsl:with-param name="Height">5</xsl:with-param>
			<xsl:with-param name="DefaultCellContent">no</xsl:with-param>
			<xsl:with-param name="CellFluentName" select="'CELL'"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="make_cell_content">
		<xsl:param name="content"/>
		<xsl:param name="background"/>

		<xsl:variable name="piece">
			<xsl:choose>
				<xsl:when test="$content='KNIGHT'">nl</xsl:when>
				<xsl:when test="$content='HOLE'">nd</xsl:when>
			</xsl:choose>
		</xsl:variable>

		<xsl:call-template name="make_chess_img">
			<xsl:with-param name="piece" select="$piece"/>
			<xsl:with-param name="background" select="$background"/>
			<xsl:with-param name="alt" select="$content"/>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>